This page describes how to manage Goldengate connection assignments in Google Cloud.
Before you begin
Make sure that you have the required Identity and Access Management (IAM) roles and permissions to perform the tasks described in this page:
roles/oracledatabase.goldenGateConnectionAssignmentAdminroles/oracledatabase.goldenGateConnectionAssignmentViewer
For more information about how to assign roles, see Apply IAM roles.
View connection assignment details
To view connection assignment information about your connection assignments, do the following:
Console
Go to the Goldengate page.
Select the Deployments tab.
The Deployment section shows you the list of deployments.
Click the name of the deployment whose connection assignments you want to view.
On the Deployment details page, go to the Assigned connections section.
The Assigned connections section shows you the details of the connection assignments of the deployment.
gcloud
List connection assignments
Use the
gcloud oracle-database goldengate-connection-assignments listcommand to list connection assignments.gcloud oracle-database goldengate-connection-assignments list \ --project=PROJECT_ID \ --location=REGIONReplace the following:
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where you want to view the connection assignments.
View connection assignment details
Use the
gcloud oracle-database goldengate-connection-assignments describecommand to view details of a connection assignment.gcloud oracle-database goldengate-connection-assignments describe ASSIGNMENT_ID \ --project=PROJECT_ID \ --location=REGIONReplace the ASSIGNMENT_ID with the ID of your connection assignment.
API
List connection assignments
To list connection assignments, run the following
curlcommand:curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateConnectionAssignments"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this project ID is the ID of your host project.
- REGION: the region where you want to view the connection assignments.
View connection assignment details
To view details of a connection assignment, run the following
curlcommand:curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateConnectionAssignments/ASSIGNMENT_ID"
Replace the ASSIGNMENT_ID with the ID of your connection assignment.
Delete a connection assignment
To delete a connection assignment, do the following:
gcloud
Use the gcloud oracle-database goldengate-connection-assignments delete
command to delete a connection assignment.
gcloud oracle-database goldengate-connection-assignments delete ASSIGNMENT_ID \
--project=PROJECT_ID \
--location=REGION
Replace the following:
- ASSIGNMENT_ID: the ID of the connection assignment.
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where your connection assignment is located.
API
To delete a connection assignment, run the following curl command:
curl -X DELETE \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateConnectionAssignments/ASSIGNMENT_ID"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project which contains the connection assignment to be deleted. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where your connection assignment is located.
- CONNECTION_ID: the ID of your connection assignment.